export class Queue {
    constructor() {
        this.items = [];
    }
    add(file) {
        this.items.push(file);
        return this.items;
    }
    remove(file) {
        this.items = this.items.filter((item) => item !== file);
        return this.items;
    }
    pop() {
        return this.items.pop();
    }
    length() {
        return this.items.length;
    }
}
